View Issue Details

IDProjectCategoryView StatusLast Update
0008444Talerspecificationpublic2024-03-07 20:49
ReporterFlorian Dold Assigned ToFlorian Dold  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.9.4Fixed in Version0.9.4 
Summary0008444: DD55: specify user-facing problem reports in the wallet
DescriptionThe wallet can encounter situations that need to be reported to the user.

Examples:
* exchange does not offer denominations anymore
* money lost due to some protocol error or bad behavior of some component

We should specify the wallet-core API and lifecycle for problem reports.

The problem reports also tie in with reports to the auditor.
TagsNo tags attached.

Relationships

related to 0008327 resolvedFlorian Dold Expired coins should be listed as "expired" transaction [estimate: 2h] 

Activities

Florian Dold

2024-03-05 23:00

manager   ~0021701

Draft DD55 is written, but we'll only implement this in a later version.

Issue History

Date Modified Username Field Change
2024-02-19 18:13 Florian Dold New Issue
2024-02-19 18:13 Florian Dold Status new => assigned
2024-02-19 18:13 Florian Dold Assigned To => Christian Grothoff
2024-02-19 18:13 Florian Dold Assigned To Christian Grothoff =>
2024-02-19 18:13 Florian Dold Status assigned => new
2024-03-01 00:00 Florian Dold Assigned To => Florian Dold
2024-03-01 00:00 Florian Dold Status new => assigned
2024-03-01 00:00 Florian Dold Summary specify user-facing problem reports in the wallet => dd55: specify user-facing problem reports in the wallet
2024-03-01 00:00 Florian Dold Relationship added related to 0008327
2024-03-05 09:33 Florian Dold Summary dd55: specify user-facing problem reports in the wallet => DD55: specify user-facing problem reports in the wallet
2024-03-05 23:00 Florian Dold Status assigned => resolved
2024-03-05 23:00 Florian Dold Resolution open => fixed
2024-03-05 23:00 Florian Dold Note Added: 0021701
2024-03-07 17:40 Christian Grothoff Product Version => git (master)
2024-03-07 17:40 Christian Grothoff Fixed in Version => 0.9.4
2024-03-07 17:40 Christian Grothoff Target Version 0.10 => 0.9.4
2024-03-07 20:49 Christian Grothoff Status resolved => closed